This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 725946 - XMLRPC: Unable to detach bug
XMLRPC: Unable to detach bug
Status: CLOSED DEFERRED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.5
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Yuguang Wang
tools-bugs
: TestOnly
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-27 02:04 EDT by Petr Šplíchal
Modified: 2016-05-31 21:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-26 01:32:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2011-07-27 02:04:18 EDT
Description of problem:

I was trying to detach bug using TestCase.detach_bug and
TestCaseRun.detach_bug() functions but had no success in either
case.

Version-Release number of selected component (if applicable):
Nitrate 3.5.0

Steps to Reproduce:
TestCase.detach_bug(46490, 15251)
TestCaseRun.detach_bug(525318, 15251)
  
Actual results:
In the first case I get the following traceback:
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "Nitrate.py", line 1132, in remove
    self._server.TestCase.detach_bug(self.id, bug.id)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1199, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1489, in __request
    verbose=self.__verbose
  File "nitrate.py", line 120, in request_with_cookies
    return self._parse_response(h.getfile(), sock)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1392, in _parse_response
    return u.close()
  File "/usr/lib64/python2.6/xmlrpclib.py", line 838, in close
    raise Fault(**self._stack[0])
xmlrpclib.Fault: <Fault 1: "TypeError: remove_bug() got an unexpected keyword argument 'id'">

In the second case no error is displayed however the bug remains
attached to the test case run.

Expected results:
Bug successfully detached.
Comment 1 Danqing Li 2011-12-26 01:32:44 EST
Deferred to 4.0

Note You need to log in before you can comment on or make changes to this bug.